iT邦幫忙

0

手動安裝 package-lock.json

npm

請問有大大操作過手動改package-lock.json和安裝嗎?
另外一個問題是操作npm install時依然會將手動改的部分給改掉,這會有點麻煩。

看更多先前的討論...收起先前的討論...
dragonH iT邦超人 5 級 ‧ 2020-05-19 15:41:45 檢舉
你的需求是啥

為什麼要去改他
Han iT邦新手 4 級 ‧ 2020-05-19 15:53:14 檢舉
正常不是改package.json嗎?!
Zaku iT邦新手 3 級 ‧ 2020-05-19 16:01:28 檢舉
非正常情況才來發問orz..
咖咖拉 iT邦研究生 5 級 ‧ 2020-05-19 16:21:03 檢舉
你是不是亂改package-lock 改不回去
重新npm install 一樣壞掉?
fillano iT邦超人 1 級 ‧ 2020-05-19 16:25:54 檢舉
是怎樣非正常的狀況?
fillano iT邦超人 1 級 ‧ 2020-05-19 16:28:54 檢舉
https://semver.org/lang/zh-TW/ 也許你需要的是正確地在package.json指定版本
Zaku iT邦新手 3 級 ‧ 2020-05-19 18:14:34 檢舉
是要正確的指定package-lock.json內相依的版本才麻煩

1 個回答

0
浩瀚星空
iT邦超人 1 級 ‧ 2020-05-19 16:10:08

不要惡搞自已。
搞死自已會被地雷炸的不要不要的。

正常不要去改 package-lock.json
除非你是舊板的npm。

直接在 package.json 定義版本就好。

我要發表回答

立即登入回答